Page MenuHomePhabricator

[ArticlePlaceholder] Fill composer.json and add to packagist
Closed, ResolvedPublic

Description

Now that AP has passed the security review I would love to get it on test.wikipeia.org (and beta...)
To do this we need to make it part of the WikidataBuildResources comsposer.json and part of the Build
Then load the extension for testwiki!

To do this we need to add the extension to packagist.org and thus fill the composer.json

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterExpand composer.json

Event Timeline

Addshore created this task.Jan 18 2016, 9:18 PM
Addshore raised the priority of this task from to Normal.
Addshore updated the task description. (Show Details)
Addshore added subscribers: Addshore, Lucie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2016, 9:18 PM

Great to have this in the sprint! :)

Lucie assigned this task to hoo.Jan 25 2016, 2:07 PM
Lucie set Security to None.

Change 266438 had a related patch set uploaded (by Hoo man):
Expand composer.json

https://gerrit.wikimedia.org/r/266438

Change 266438 merged by jenkins-bot:
Expand composer.json

https://gerrit.wikimedia.org/r/266438

git@github.com:wikimedia/mediawiki-extensions-ArticlePlaceholder.git needs to be added to packagist now. Not sure if others can get access to the mediawiki namespace or only the mediawiki account has.
Then https://github.com/wikimedia/mediawiki-extensions-ArticlePlaceholder/settings/hooks/new?service=packagist needs to be done.

https://www.mediawiki.org/wiki/Manual:Developing_libraries#Packagist_guidelines sounds like it can only be done with the mediawiki account itself.

How can we move forward with this then?
Who has access to the mediawiki account?

How can we move forward with this then?
Who has access to the mediawiki account?

https://packagist.org/packages/mediawiki/article-placeholder

I setup the GitHub hook service hook as well.

Awesome! :)
Many thanks as always @bd808 :)

Addshore closed this task as Resolved.Jan 31 2016, 4:51 PM
JanZerebecki reopened this task as Open.Feb 1 2016, 11:25 AM

Can someone who has permission, add my account https://packagist.org/users/JanZerebecki/ to the package?

bd808 closed this task as Resolved.Feb 1 2016, 3:30 PM

Can someone who has permission, add my account https://packagist.org/users/JanZerebecki/ to the package?

{{done}}

Lucie moved this task from To Do Next to Done on the ArticlePlaceholder board.May 10 2016, 11:53 AM